Subject: Re: [PATCH] NET: Multiple queue hardware support

From: Patrick McHardy <[email-masked]>
Date: Thu, 21 Jun 2007 23:31:52 +0200

PJ Waskiewicz wrote:
> I did not modify other users of netif_queue_stopped() in net/core/netpoll.c,
> net/core/dev.c, or net/core/pktgen.c, since no classification occurs for
> the skb being sent to the device.  Therefore, packets should always be
> ending up in queue 0, so there's no need to check the subqueue status either.
>   

Thats not correct. Subqueue 0 may be full and the queue still running.

I'll look over the patches later.